package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.ParkingApply;
import com.jpsoft.shinestar.modules.base.entity.PersonInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface ParkingApplyService {
	ParkingApply get(String id);
	boolean exist(String id);
	int insert(ParkingApply model);
	int update(ParkingApply model);
	int delete(String id);
	List<ParkingApply> list();
	Page<ParkingApply> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    ParkingApply findByPopedomIdAndStatus(String popedomId, String status);

	ParkingApply findByPopedomIdAndPayStatus(String popedomId, int payStatus);

	String parkingApplicationCreateOrder(ParkingApply parkingApply, String actualFee, PersonInfo personInfo1, String companyId);

    ParkingApply findByOrderId(String orderId);

    List<ParkingApply> findByPopedomId(String popedomId);
}